@Deni11

Как исправить ошибку?

При попытке запустить jar файл такая ошибка

Error: A JNI error has occurred, please check your installation and try again Exception in thread "main" java.lang.UnsupportedClassVersionError: Basik has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0

Как исправить.
  • Вопрос задан
  • 104 просмотра
Решения вопроса 1
sergey-gornostaev
@sergey-gornostaev Куратор тега Java
Седой и строгий
5edbba5061fcc897042226.png
Есть три варианта:
  1. На целевую машину установить JRE той же версии, что и JDK
  2. Компилировать с помощью JDK той версии, на какой JRE собираете запускать программу
  3. Указать при компиляции целевую версию JRE
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы